import { OnInit } from '@angular/core';
import { JsonSchemaFormService } from '../json-schema-form/json-schema-form.service';
export declare class TabsComponent implements OnInit {
    private jsf;
    private options;
    private itemCount;
    private selectedItem;
    private showAddTab;
    formID: number;
    layoutNode: any;
    layoutIndex: number[];
    dataIndex: number[];
    constructor(jsf: JsonSchemaFormService);
    ngOnInit(): void;
    private select(index);
    private updateControl();
    private setTitle(item?, index?);
}
